<?php

namespace App\Event;

use Symfony\Contracts\EventDispatcher\Event;

class PageScrappingProgressEvent extends Event
{
    public const NAME = 'page.scrapping.progress';

    private int $chapterId;
    private int $pageIndex;
    private int $totalPages;

    public function __construct(int $chapterId, int $pageIndex, int $totalPages)
    {
        $this->chapterId = $chapterId;
        $this->pageIndex = $pageIndex;
        $this->totalPages = $totalPages;
    }

    public function getChapterId(): int
    {
        return $this->chapterId;
    }

    public function getPageIndex(): int
    {
        return $this->pageIndex;
    }

    public function getTotalPages(): int
    {
        return $this->totalPages;
    }
}
